Loading...
Searching...
No Matches
CMakeCXXCompilerId.cpp File Reference

## Macros

#define | __has_include(x)
#define | COMPILER_ID ""
#define | STRINGIFY_HELPER(X)
#define | STRINGIFY(X)
#define | PLATFORM_ID
#define | ARCHITECTURE_ID
#define | DEC(n)
#define | HEX(n)
#define | CXX_STD_98 199711L
#define | CXX_STD_11 201103L
#define | CXX_STD_14 201402L
#define | CXX_STD_17 201703L
#define | CXX_STD_20 202002L
#define | CXX_STD_23 202302L
#define | CXX_STD __cplusplus

## Functions

int | main (int argc, char *argv[])

## Variables

char const * | info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"
char const * | info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"
char const * | info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"
const char * | info_language_standard_default
const char * | info_language_extensions_default

## Macro Definition Documentation

## __has_include

#define __has_include | ( |  | x | ) |

Value:
0

## ARCHITECTURE_ID

#define ARCHITECTURE_ID

## COMPILER_ID

#define COMPILER_ID ""

## CXX_STD

#define CXX_STD __cplusplus

## CXX_STD_11

#define CXX_STD_11 201103L

## CXX_STD_14

#define CXX_STD_14 201402L

## CXX_STD_17

#define CXX_STD_17 201703L

## CXX_STD_20

#define CXX_STD_20 202002L

## CXX_STD_23

#define CXX_STD_23 202302L

## CXX_STD_98

#define CXX_STD_98 199711L

## DEC

#define DEC | ( |  | n | ) |

Value:
('0' + (((n) / 10000000)%10)), \
('0' + (((n) / 1000000)%10)), \
('0' + (((n) / 100000)%10)), \
('0' + (((n) / 10000)%10)), \
('0' + (((n) / 1000)%10)), \
('0' + (((n) / 100)%10)), \
('0' + (((n) / 10)%10)), \
('0' + ((n) % 10))

## HEX

#define HEX | ( |  | n | ) |

Value:
('0' + ((n)>>28 & 0xF)), \
('0' + ((n)>>24 & 0xF)), \
('0' + ((n)>>20 & 0xF)), \
('0' + ((n)>>16 & 0xF)), \
('0' + ((n)>>12 & 0xF)), \
('0' + ((n)>>8 & 0xF)), \
('0' + ((n)>>4 & 0xF)), \
('0' + ((n) & 0xF))

## PLATFORM_ID

#define PLATFORM_ID

## STRINGIFY

#define STRINGIFY | ( |  | X | ) |

Value:
STRINGIFY_HELPER(X)
STRINGIFY_HELPER
#define STRINGIFY_HELPER(X)
Definition CMakeCXXCompilerId.cpp:447

## STRINGIFY_HELPER

#define STRINGIFY_HELPER | ( |  | X | ) |

Value:
#X

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

## Variable Documentation

## info_arch

char const* info_arch = "INFO" ":" "arch[" ARCHITECTURE_ID "]"

## info_compiler

char const* info_compiler = "INFO" ":" "compiler[" COMPILER_ID "]"

## info_language_extensions_default

const char* info_language_extensions_default

Initial value:
= "INFO" ":" "extensions_default["
"OFF"
"]"

## info_language_standard_default

const char* info_language_standard_default

Initial value:
= "INFO" ":" "standard_default["
"98"
"]"

## info_platform

char const* info_platform = "INFO" ":" "platform[" PLATFORM_ID "]"